%define oname ppx_optcomp

Name:           ocaml-%{oname}
Epoch:          1
Version:        0.15.0
Release:        %mkrel 5
Summary:        Optional compilation for OCaml
License:        Apache 2.0
Group:          Development/OCaml
URL:            https://github.com/janestreet/ppx_optcomp
Source0:        https://github.com/janestreet/ppx_optcomp/archive/v%{version}.tar.gz

BuildRequires:  ocaml >= 4.08.0
BuildRequires:  ocaml-base-devel >= 0.15
BuildRequires:  ocaml-dune >= 2.0.0
BuildRequires:  ocaml-ppxlib-devel >= 0.23.0
BuildRequires:  ocaml-stdio-devel >= 0.15

%description
Ppx_optcomp provides optional compilation for OCaml.  It is a tool used
to handle optional compilations of pieces of code depending of the word
size, the version of the compiler, etc.  The syntax is based on OCaml
item extension nodes, with keywords similar to cpp.

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{epoch}:%{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q -n %{oname}-%{version}

%build
dune build --verbose -p %{oname} %_smp_mflags

%install
dune install --destdir=%{buildroot}
rm -rf %buildroot/usr/doc

%check
dune runtest

%files
%dir %{_libdir}/ocaml/%{oname}
%{_libdir}/ocaml/%{oname}/META
%{_libdir}/ocaml/%{oname}/*dune*
%{_libdir}/ocaml/%{oname}/*.cmi
%{_libdir}/ocaml/%{oname}/*.cma
%{_libdir}/ocaml/%{oname}/*.a
%{_libdir}/ocaml/%{oname}/*.cmxa
%{_libdir}/ocaml/%{oname}/*.cmxs

%files devel
%{_libdir}/ocaml/%{oname}/opam
%{_libdir}/ocaml/%{oname}/*.cmt
%{_libdir}/ocaml/%{oname}/*.cmx
%{_libdir}/ocaml/%{oname}/*.ml


%changelog
* Sun Dec 11 2022 pterjan <pterjan> 1:0.15.0-5.mga9
+ Revision: 1920628
- Rebuild for new ppxlib
- Rebuild for new ppxlib

* Sun Oct 09 2022 pterjan <pterjan> 1:0.15.0-3.mga9
+ Revision: 1895916
- Rebuild for new ocaml-base and ocaml-ppxlib

* Thu May 19 2022 pterjan <pterjan> 1:0.15.0-2.mga9
+ Revision: 1859300
- Rebuild for OCaml 4.14

* Fri May 13 2022 pterjan <pterjan> 1:0.15.0-1.mga9
+ Revision: 1857948
- Update to 0.15.0

* Tue Apr 05 2022 umeabot <umeabot> 1:0.14.3-3.mga9
+ Revision: 1844583
- Mageia 9 Mass Rebuild

* Wed Oct 13 2021 tv <tv> 1:0.14.3-2.mga9
+ Revision: 1751277
- Rebuild for ocaml 4.13.1

* Wed Oct 13 2021 tv <tv> 1:0.14.3-1.mga9
+ Revision: 1751134
- Version 0.14.3

* Sun Mar 21 2021 tv <tv> 1:0.14.1-2.mga9
+ Revision: 1707041
- Rebuild for ocaml-ppxlib

* Sat Mar 06 2021 tv <tv> 1:0.14.1-1.mga9
+ Revision: 1700005
- 0.14.0

* Sun Jan 10 2021 pterjan <pterjan> 1:0.13.0-5.mga8
+ Revision: 1670784
- Rebuild to generate ocamlx provides

* Fri Feb 28 2020 umeabot <umeabot> 1:0.13.0-4.mga8
+ Revision: 1551814
- Rebuild for ocaml 4.10.0 final

* Thu Feb 20 2020 umeabot <umeabot> 1:0.13.0-3.mga8
+ Revision: 1545885
- Mageia 8 Mass Rebuild

* Thu Jan 30 2020 tv <tv> 1:0.13.0-2.mga8
+ Revision: 1485419
- rebuild for new ocaml-stdio/ocaml-ppxlib

* Mon Jan 27 2020 tv <tv> 1:0.13.0-1.mga8
+ Revision: 1483885
- new release + rebuild for ocaml-4.10

* Tue Oct 23 2018 pterjan <pterjan> 1:0.11.0-1.mga7
+ Revision: 1324741
- Update to 0.11.0

* Wed Aug 29 2018 daviddavid <daviddavid> 1:0.10.0-3.mga7
+ Revision: 1255491
- rebuild for new ocaml-result 1.3

* Thu Jul 05 2018 daviddavid <daviddavid> 1:0.10.0-2.mga7
+ Revision: 1241882
- rebuild against current ocaml stack
- enable debug package as it should

* Sat Jan 13 2018 pterjan <pterjan> 1:0.10.0-1.mga7
+ Revision: 1192970
- Fix BuildRequires
- Fix BuildRequires
- Fix BuildRequires
- Update to v0.10.0
+ tv <tv>
- rebuild for new ocaml

* Thu Feb 18 2016 pterjan <pterjan> 113.24.00-1.mga6
+ Revision: 965054
- imported package ocaml-ppx_optcomp

